cpw.mods.fml.common.discovery

## Class ASMDataTable

- java.lang.Object
- - cpw.mods.fml.common.discovery.ASMDataTable

-     public class ASMDataTable
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ASMDataTable.ASMData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASMDataTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addASMData(ModCandidate candidate, String annotation, String className, String objectName, Map<String,Object> annotationInfo)`
    `void` | `addContainer(ModContainer container)`
    `Set<ASMDataTable.ASMData>` | `getAll(String annotation)`
    `com.google.common.collect.SetMultimap<String,ASMDataTable.ASMData>` | `getAnnotationsFor(ModContainer container)`
    `Set<ModCandidate>` | `getCandidatesFor(String pkg)`
    `void` | `registerPackage(ModCandidate modCandidate, String pkg)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASMDataTable

          public ASMDataTable()

  - ### Method Detail

    - #### getAnnotationsFor

          public com.google.common.collect.SetMultimap<String,ASMDataTable.ASMData> getAnnotationsFor(ModContainer container)

    - #### getAll

          public Set<ASMDataTable.ASMData> getAll(String annotation)

    - #### addASMData

          public void addASMData(ModCandidate candidate,
                        String annotation,
                        String className,
                        String objectName,
                        Map<String,Object> annotationInfo)

    - #### addContainer

          public void addContainer(ModContainer container)

    - #### registerPackage

          public void registerPackage(ModCandidate modCandidate,
                             String pkg)

    - #### getCandidatesFor

          public Set<ModCandidate> getCandidatesFor(String pkg)